Bug 1384616 - thumbnail "border" seems misaligned in activities overview
Summary: thumbnail "border" seems misaligned in activities overview
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1384415 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-13 16:44 UTC by Ankur Sinha (FranciscoD)
Modified: 2017-12-12 10:59 UTC (History)
6 users (show)

(edit)
Clone Of:
: 1531880 (view as bug list)
(edit)
Last Closed: 2017-12-12 10:59:36 UTC


Attachments (Terms of Use)
Screenshot (1.57 MB, image/jpeg)
2016-10-13 16:44 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2016-10-13 16:44:10 UTC
Created attachment 1210203 [details]
Screenshot

Description of problem:


Version-Release number of selected component (if applicable):
rpm -q gtk3 gnome-shell mutter
gtk3-3.22.1-2.fc25.x86_64
gnome-shell-3.22.1-1.fc25.x86_64
mutter-3.22.1-2.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set a screenshot to be taken after 5 seconds
2. Go to activities overview and wait for the screenshot to happen and the save dialog to show
3.

Actual results:
As the screenshot shows, the border of the "thumbnail"(?) isn't aligned with the image

Expected results:
Should probably be aligned properly :)

Additional info:

Comment 1 Giulio 'juliuxpigface' 2016-10-13 18:30:42 UTC
I hit this too, on bare metal (an old-32bit Acer Extensa laptop, equipped with Intel GPU).

Might be an issue related to a specific GTK frame/dialog?

My steps:
1. Open the activities overview.
2. Drag Shotwell on the overview, in order to open it on the current workspace.

Actual results:
The borders of the "thumbnail" of the welcome dialog aren't aligned with the actual image.

Expected results:
I'm with Ankur here. I think the borders should be aligned with the actual preview.

Comment 2 Adam Williamson 2016-10-13 20:28:14 UTC
Can either of you check whether this also happens with X, or if it's only Wayland? Thanks! If it's Wayland only, please set the bug to block 'WaylandRelated'.

Comment 3 Giulio 'juliuxpigface' 2016-10-13 20:30:37 UTC
I can confirm the issue isn't reproducible with X here.

Comment 4 Christian Stadelmann 2016-10-13 21:10:00 UTC
I'm seeing this with Wayland too, sometimes.

Different steps to reproduce (as I don't have shotwell installed):
1. have some global shortcut installed to open any application. E.g. a "Open email application" special key on your keyboard.
2. Open activities overview
3. While overview is shown, press the shortcut and wait for the application to start
4. hover over the application you just started

What happens:
Blue border (hover highlighting) around application window is off by some pixels, probably the shadows. Or the distance the application would have on normal (non-overview) view from top left corner.

What should happen:
Blue border should match window constraints

Another steps to reproduce:
1. figure out an application that takes some time to start, e.g. eclipse (doesn't work with all applications)
2. start the application
3. immediately open activities overview BEFORE the application window is shown

What happens/ should happen: same as before.

Affected versions:
gtk3-3.22.1-1.fc25.x86_64
gnome-shell-3.22.0-1.fc25.x86_64
mutter-3.22.0-2.fc25.x86_64

Comment 5 Kamil Páral 2016-10-14 12:04:44 UTC
*** Bug 1384415 has been marked as a duplicate of this bug. ***

Comment 6 Fedora End Of Life 2017-11-16 19:13:43 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Christian Stadelmann 2017-11-16 23:29:54 UTC
Still present on Fedora 27.

Comment 8 Fedora End Of Life 2017-12-12 10:59:36 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.